org.apache.lucene.spatial.prefix

## Class NumberRangePrefixTreeStrategy.Facets

- java.lang.Object
- - org.apache.lucene.spatial.prefix.NumberRangePrefixTreeStrategy.Facets

Enclosing class:
  NumberRangePrefixTreeStrategy

    public static class NumberRangePrefixTreeStrategy.Facets
    extends Object

Facet response information

### Nested Class Summary

Nested Classes
`static class` `NumberRangePrefixTreeStrategy.Facets.FacetParentVal` Holds a block of detailLevel counts aggregated to their parent level.

### Field Summary

Fields
`int` `detailLevel` The bottom-most detail-level counted, as requested.
`SortedMap<NumberRangePrefixTree.UnitNRShape,NumberRangePrefixTreeStrategy.Facets.FacetParentVal>` `parents` Holds all the `NumberRangePrefixTreeStrategy.Facets.FacetParentVal` instances in order of the key.
`int` `topLeaves` The count of documents with ranges that completely spanned the parents of the detail level.

### Constructor Summary

Constructors
Constructor and Description
`Facets(int detailLevel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### detailLevel

    public final int detailLevel

The bottom-most detail-level counted, as requested.

#### topLeaves

    public int topLeaves

The count of documents with ranges that completely spanned the parents of the detail level. In more technical terms, this is the count of leaf cells 2 up and higher from the bottom. Usually you only care about counts at detailLevel, and so you will add this number to all other counts below, including to omitted/implied children counts of 0. If there are no indexed ranges (just instances, i.e. fully specified dates) then this value will always be 0.

#### parents

    public final SortedMap<NumberRangePrefixTree.UnitNRShape,NumberRangePrefixTreeStrategy.Facets.FacetParentVal> parents

Holds all the `NumberRangePrefixTreeStrategy.Facets.FacetParentVal` instances in order of the key. This is sparse; there won't be an instance if it's count and children are all 0. The keys are `NumberRangePrefixTree.UnitNRShape` shapes, which can be converted back to the original Object (i.e. a Calendar) via `NumberRangePrefixTree.toObject(org.apache.lucene.spatial.prefix.tree.NumberRangePrefixTree.UnitNRShape)`.

### Constructor Detail

#### Facets

    public Facets(int detailLevel)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`